# Generated by Django 2.0.5 on 2021-09-07 06:55

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0097_profile_cco_id_acknowledged'),
        ('core', '0069_merge_20201123_1248'),
    ]

    operations = [
        migrations.CreateModel(
            name='SubscriptionServiceProviderMapping',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('service_provider_name', models.CharField(max_length=100)),
                ('provider_prefix', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=300), size=None)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='manual_service_provider', to='accounts.Provider')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='subscriptionserviceprovidermapping',
            unique_together={('provider', 'service_provider_name')},
        ),
    ]
